=== debian/control ===
Source: ros-melodic-sot-dynamic-pinocchio
Section: misc
Priority: optional
Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, libgtest-dev <!nocheck>, liblapack-dev, libopenblas-dev, ros-melodic-dynamic-graph-python, ros-melodic-pinocchio, ros-melodic-sot-core, ros-melodic-sot-tools
Homepage: http://stack-of-tasks.github.io
Standards-Version: 3.9.2

Package: ros-melodic-sot-dynamic-pinocchio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, libopenblas-dev, ros-melodic-catkin, ros-melodic-dynamic-graph-python, ros-melodic-pinocchio, ros-melodic-sot-core, ros-melodic-sot-tools
Description: Pinocchio bindings for dynamic-graph
